# 获取不同类型原始数据下载链接

### URL

<https://www.growingio.com/v2/insights/{export\\_type}/{data\\_type}/{ai}/{export\\_date}.json?expire={minutes}>

### 请求类型

GET

### 请求头部

公共头部请参考[公共请求头参数](/docs/developer-manual/api-reference/authenticate.md)。

### 参数说明与示例

{% tabs %}
{% tab title="请求参数" %}

| 路径参数         | 类型     | 是否必传 | 说明                                                                                                                                                                                                                                                                                                                   |
| ------------ | ------ | ---- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| export\_type | string | 是    | 导出任务类型，系统目前支持小时与天的导出，可选值：hour 或者 day                                                                                                                                                                                                                                                                                 |
| data\_type   | string | 是    | <p>导出事件类型，系统支持以下事件类型的导出，可选值：</p><ul><li>visit: 访问事件</li><li>page: 页面事件</li><li>action: 动作事件，包括点击、修改等动作</li><li>action\_tag: 动作事件与圈选规则关联关系</li><li>custom\_event: 自定义事件</li><li>ads\_track\_activation: 广告激活事件</li><li>ads\_track\_click: 广告点击事件</li><li>pvar:页面级变量</li><li>evar: 转化变量 </li><li>vstr：访问用户变量</li></ul> |
| ai           | string | 是    | 项目ID。                                                                                                                                                                                                                                                                                                                |
| export\_date | string | 是    | <p>导出数据北京时间，格式为 yyyyMMddHHmm, 表现请求导出哪段时间内的数据，分为以下情况：</p><ul><li>当 export\_type 为 day 时，只会截取 export\_date 中 yyyyMMdd, 其余将忽略。</li><li>当 export\_type 为 hour 时，只会截取 export\_date 中 yyyyMMddHH, 其余将忽略。</li></ul>                                                                                                         |

| 查询参数         | 类型      | 是否必传 | 说明                                         |
| ------------ | ------- | ---- | ------------------------------------------ |
| expire       | integer | 否    | <p>下载链接失效时间，单位为分钟。最长时间为7天。</p><p>默认值：5</p> |
| {% endtab %} |         |      |                                            |

{% tab title="返回参数" %}

| 名称            | 说明                                                                                                                                                                                       |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status        | <p>导出状态。可能值为：</p><ul><li>FINISHED：导出任务完成，客户可以使用 downloadLinks 中的链接进行文件下载。</li><li>RUNNING：导出任务正在运行。</li><li>NOT\_EXISTS：导出任务不存在，请检查是否开启了导出功能并检查请求日期时间。</li><li>ERROR：导出任务发生错误。</li></ul> |
| downloadLinks | <p>文件下载链接。</p><p>链接可能随时调整，不应使用链接中的任何内容作为处理程序依据，链接过期时间默认为5分钟。</p>                                                                                                                         |
| exportType    | 表示导出任务类型，由用户传入，服务器原样返回。                                                                                                                                                                  |
| dataType      | 表示导出事件类型，由用户传入，服务器原样返回。                                                                                                                                                                  |
| exportDate    | 表示导出数据时间，由用户传入，服务器根据 exportType 截取后返回。                                                                                                                                                   |
| exportVersion | 表示导出数据版本，当前版本下默认为 v2。                                                                                                                                                                    |
| requestTime   | 客户请求发生时服务器时间。                                                                                                                                                                            |
| errorMsg      | 请求发生错误时，服务器返回的错误信息。                                                                                                                                                                      |
| {% endtab %}  |                                                                                                                                                                                          |

{% tab title="响应示例" %}

```
{
  "status": "",
  "downloadLinks": [],
  "exportType": "",
  "dataType": "",
  "exportDate": "",
  "exportVersion": "",
  "requestTime": "",
  "errorMsg": ""
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://growingio.gitbook.io/docs/developer-manual/api-reference/originaldata-export-v2/definition/eventtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
